<schema 
	xmlns="http://purl.oclc.org/dsdl/schematron" 
	xmlns:cac="urn:oasis:names:specification:ubl:schema:xsd:CommonAggregateComponents-2" 
	xmlns:cbc="urn:oasis:names:specification:ubl:schema:xsd:CommonBasicComponents-2" 
	xmlns:cac-pl="urn:pl:extended:CommonAggregateComponents-2" 
	xmlns:cbc-pl="urn:pl:extended:CommonBasicComponents-2" 
	xmlns:us="urn:oasis:names:specification:ubl:schema:xsd:UtilityStatement-2" 
	xmlns:UBL="urn:oasis:names:specification:ubl:schema:xsd:Invoice-2" 
	queryBinding="xslt2">
	
	
	<title>EN16931  model bound to UBL</title>
	<ns prefix="ext" uri="urn:oasis:names:specification:ubl:schema:xsd:CommonExtensionComponents-2"/>
	<ns prefix="cbc" uri="urn:oasis:names:specification:ubl:schema:xsd:CommonBasicComponents-2"/>
	<ns prefix="cac" uri="urn:oasis:names:specification:ubl:schema:xsd:CommonAggregateComponents-2"/>
	<ns prefix="cbc-pl" uri="urn:pl:extended:CommonBasicComponents-2"/>
	<ns prefix="cac-pl" uri="urn:pl:extended:CommonAggregateComponents-2"/>
	<ns prefix="qdt" uri="urn:oasis:names:specification:ubl:schema:xsd:QualifiedDataTypes-2"/>
	<ns prefix="udt" uri="urn:oasis:names:specification:ubl:schema:xsd:UnqualifiedDataTypes-2"/>
	<ns prefix="us" uri="urn:oasis:names:specification:ubl:schema:xsd:UtilityStatement-2"/>
	<ns prefix="xs" uri="http://www.w3.org/2001/XMLSchema"/>
	<ns prefix="u" uri="utils"/>
	<phase id="EN16931model_phase">
		<active pattern="UBL-model"/>
	</phase>
	<phase id="codelist_phase">
		<active pattern="Codesmodel"/>
	</phase>
	<let name="supplierCountry" value="
      if (/*/cac:SenderParty/cac:PartyTaxScheme[cac:TaxScheme/cbc:ID = 'VAT']/substring(cbc:CompanyID, 1, 2)) then
        upper-case(normalize-space(/*/cac:SenderParty/cac:PartyTaxScheme[cac:TaxScheme/cbc:ID = 'VAT']/substring(cbc:CompanyID, 1, 2)))
      else
        if (/*/cac:TaxRepresentativeParty/cac:PartyTaxScheme[cac:TaxScheme/cbc:ID = 'VAT']/substring(cbc:CompanyID, 1, 2)) then
          upper-case(normalize-space(/*/cac:TaxRepresentativeParty/cac:PartyTaxScheme[cac:TaxScheme/cbc:ID = 'VAT']/substring(cbc:CompanyID, 1, 2)))
        else
          if (/*/cac:SenderParty/cac:PostalAddress/cac:Country/cbc:IdentificationCode) then
            upper-case(normalize-space(/*/cac:SenderParty/cac:PostalAddress/cac:Country/cbc:IdentificationCode))
          else
            'XX'"/>
	<!--Suppressed abstract pattern model was here-->
	<!--Suppressed abstract pattern syntax was here-->
	<pattern>
		<rule context="//cac:ParentDocumentReference/cbc:ID"/>
		<rule context="//cac:ParentDocumentReference/cbc:IssueDate"/>
		<rule context="//cac:ParentDocumentReference/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//cac:AdditionalDocumentReference/cbc:ID"/>
		<rule context="//cac:AdditionalDocumentReference/cbc:DocumentDescription"/>
		<rule context="//cac:AdditionalDocumentReference/cac:Attachment"/>
		<rule context="//cac:AdditionalDocumentReference/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//cac:AdditionalDocumentReference/cac:Attachment/cbc:EmbeddedDocumentBinaryObject"/>
		<rule context="//cac:AdditionalDocumentReference/cac:Attachment/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		
		<rule context="//cac:SenderParty/cbc:EndpointID"/>
		<rule context="//cac:SenderParty/cac:PartyIdentification"/>
		<rule context="//cac:SenderParty/cac:PartyName"/>
		<rule context="//cac:SenderParty/cac:PostalAddress"/>
		<rule context="//cac:SenderParty/cac:PartyTaxScheme"/>
		<rule context="//cac:SenderParty/cac:PartyLegalEntity"/>
		<rule context="//cac:SenderParty/cac:Contact"/>
		<rule context="//cac:SenderParty/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//cac:SenderParty/cac:PostalAddress/cbc:StreetName"/>
		<rule context="//cac:SenderParty/cac:PostalAddress/cbc:AdditionalStreetName"/>
		<rule context="//cac:SenderParty/cac:PostalAddress/cbc:CityName"/>
		<rule context="//cac:SenderParty/cac:PostalAddress/cbc:PostalZone"/>
		<rule context="//cac:SenderParty/cac:PostalAddress/cac:Country"/>
		<rule context="//cac:SenderParty/cac:PostalAddress/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//cac:SenderParty/cac:PartyTaxScheme/cbc:CompanyID"/>
		<rule context="//cac:SenderParty/cac:PartyTaxScheme/cac:TaxScheme"/>
		<rule context="//cac:SenderParty/cac:PartyTaxScheme/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//cac:SenderParty/cac:PartyLegalEntity/cbc:RegistrationName"/>
		<rule context="//cac:SenderParty/cac:PartyLegalEntity/cbc:CompanyID"/>
		<rule context="//cac:SenderParty/cac:PartyLegalEntity/cbc:CompanyLegalForm"/>
		<rule context="//cac:SenderParty/cac:PartyLegalEntity/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//cac:SenderParty/cac:Contact/cbc:Name"/>
		<rule context="//cac:SenderParty/cac:Contact/cbc:Telephone"/>
		<rule context="//cac:SenderParty/cac:Contact/cbc:ElectronicMail"/>
		<rule context="//cac:SenderParty/cac:Contact/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//cac:SenderParty/cac:PostalAddress/cac:Country/cbc:IdentificationCode"/>
		<rule context="//cac:SenderParty/cac:PostalAddress/cac:Country/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//cac:SenderParty/cac:PartyTaxScheme/cac:TaxScheme/cbc:ID"/>
		<rule context="//cac:SenderParty/cac:PartyTaxScheme/cac:TaxScheme/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//cac:ReceiverParty/cbc:EndpointID"/>
		<rule context="//cac:ReceiverParty/cac:PartyIdentification"/>
		<rule context="//cac:ReceiverParty/cac:PartyName"/>
		<rule context="//cac:ReceiverParty/cac:PostalAddress"/>
		<rule context="//cac:ReceiverParty/cac:PartyTaxScheme"/>
		<rule context="//cac:ReceiverParty/cac:PartyLegalEntity"/>
		<rule context="//cac:ReceiverParty/cac:Contact"/>
		<rule context="//cac:ReceiverParty/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//cac:ReceiverParty/cac:PostalAddress/cbc:StreetName"/>
		<rule context="//cac:ReceiverParty/cac:PostalAddress/cbc:AdditionalStreetName"/>
		<rule context="//cac:ReceiverParty/cac:PostalAddress/cbc:CityName"/>
		<rule context="//cac:ReceiverParty/cac:PostalAddress/cbc:PostalZone"/>
		<rule context="//cac:ReceiverParty/cac:PostalAddress/cac:Country"/>
		<rule context="//cac:ReceiverParty/cac:PostalAddress/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//cac:ReceiverParty/cac:PartyTaxScheme/cbc:CompanyID"/>
		<rule context="//cac:ReceiverParty/cac:PartyTaxScheme/cac:TaxScheme"/>
		<rule context="//cac:ReceiverParty/cac:PartyTaxScheme/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//cac:ReceiverParty/cac:PartyLegalEntity/cbc:RegistrationName"/>
		<rule context="//cac:ReceiverParty/cac:PartyLegalEntity/cbc:CompanyID"/>
		<rule context="//cac:ReceiverParty/cac:PartyLegalEntity/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//cac:ReceiverParty/cac:Contact/cbc:Name"/>
		<rule context="//cac:ReceiverParty/cac:Contact/cbc:Telephone"/>
		<rule context="//cac:ReceiverParty/cac:Contact/cbc:ElectronicMail"/>
		<rule context="//cac:ReceiverParty/cac:Contact/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//cac:ReceiverParty/cac:PostalAddress/cac:Country/cbc:IdentificationCode"/>
		<rule context="//cac:ReceiverParty/cac:PostalAddress/cac:Country/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//cac:ReceiverParty/cac:PartyTaxScheme/cac:TaxScheme/cbc:ID"/>
		<rule context="//cac:ReceiverParty/cac:PartyTaxScheme/cac:TaxScheme/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
	 
      <rule context="/us:UtilityStatement/cbc:CustomizationID"/>
      <rule context="/us:UtilityStatement/cbc:ProfileID"/>
      <rule context="/us:UtilityStatement/cbc:ID"/>
      <rule context="/us:UtilityStatement/cbc:IssueDate"/>
      <rule context="/us:UtilityStatement/cbc:UtilityStatementTypeCode"/>
      <rule context="/us:UtilityStatement/cbc:Note"/>
      <rule context="/us:UtilityStatement/cbc:DocumentCurrencyCode"/>
      <rule context="/us:UtilityStatement/cbc:AccountingCost"/>
      <rule context="/us:UtilityStatement/cac:ParentDocumentReference"/>
      <rule context="/us:UtilityStatement/cac:AdditionalDocumentReference"/>
      <rule context="/us:UtilityStatement/cac:SenderParty"/>
      <rule context="/us:UtilityStatement/cac:ReceiverParty"/>
      <rule context="/us:UtilityStatement/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
	</pattern>

	<pattern>
		<rule context="cbc:CustomizationID">
			<assert test="normalize-space(text()) = 'urn:fdc:www.efaktura.gov.pl:ver2.0:trns:us:ver1.0'" flag="fatal" id="PL-US-01">[PL-US-01] Element 'cbc:CustomizationID' MUST contain value 'urn:fdc:www.efaktura.gov.pl:ver2.0:trns:us:ver1.0'.</assert>
		</rule>
			<rule context="cbc:ProfileID">
			<assert test="normalize-space(text()) = 'urn:fdc:www.efaktura.gov.pl:ver2.0:us:ver1.0'" flag="fatal" id="PL-US-02">[PL-US-02] Element 'cbc:ProfileID' MUST contain value 'urn:fdc:www.efaktura.gov.pl:ver2.0:us:ver1.0'.</assert>
		</rule>
		<rule context="us:UtilityStatement">
			<assert id="PL-US-03" test="not(cac:AdditioonalDocumentReference/cbc:IssueDate)" flag="fatal">[PL-US-03] cac:AdditionalDocumentReference/cbc:IssueDate MUST NOT be provided.</assert>
			<assert id="PL-US-04" test="cbc:UtilityStatementTypeCode" flag="fatal">[PL-US-04] UtilityStatementTypeCode MUST be provided.</assert>
			<assert id="PL-US-05" test="cbc:DocumentCurrencyCode" flag="fatal">[PL-US-05] DocumentCurrencyCode MUST be provided.</assert>
			<assert id="PL-US-06" test="./cac:ParentDocumentReference" flag="fatal">[PL-US-06] ParentDocumentReference MUST be provided.</assert>
		</rule>
	</pattern>
	<!--Start pattern based on abstract model-->
	<pattern id="UBL-model">
		<rule context="us:UtilityStatement">
			<assert test="(cbc:CustomizationID) != ''" flag="fatal" id="PL-US-07">[PL-US-07]-An Utility Statement shall have a Specification identifier (BT-24).</assert>
			<assert id="PL-US-08" test="cbc:ProfileID" flag="fatal">[PL-US-08] Business process MUST be provided.</assert>
			<assert test="(cbc:ID) !=''" flag="fatal" id="PL-US-09">[PL-US-09]-An Utility Statement shall have a number (BT-1).</assert>
			<assert test="(cbc:IssueDate) !=''" flag="fatal" id="PL-US-10">[PL-US-10]-An Utility Statement shall have an issue date (BT-2).</assert>
			<assert test="(cac:SenderParty/cac:PartyLegalEntity/cbc:RegistrationName) !=''" flag="fatal" id="PL-US-11">[PL-US-11]-An Utility Statement shall contain the Sender name (BT-27).</assert>
			<assert test="(cac:ReceiverParty/cac:PartyLegalEntity/cbc:RegistrationName) !=''" flag="fatal" id="PL-US-12">[PL-US-12]-An Utility Statement shall contain the Receiver name (BT-44).</assert>
			<assert test="exists(cac:SenderParty/cac:PostalAddress)" flag="fatal" id="PL-US-13">[PL-US-13]-An Utility Statement shall contain the Sender postal address. </assert>
			<assert test="exists(cac:ReceiverParty/cac:PostalAddress)" flag="fatal" id="PL-US-14">[PL-US-14]-An Utility Statement shall contain the Receiver postal address (BG-8).</assert>
		</rule>
		<rule context="cac:SenderParty">
			<assert test="exists(cac:PartyTaxScheme/cbc:CompanyID) or exists(cac:PartyIdentification/cbc:ID) or exists(cac:PartyLegalEntity/cbc:CompanyID)" flag="fatal" id="PL-US-15">[PL-US-15]-In order for the buyer to automatically identify a supplier, the Sender identifier (BT-29), the Sender legal registration identifier (BT-30) and/or the Sender VAT identifier (BT-31) shall be present.  </assert>
		</rule>
		<rule context="cac:SenderParty/cbc:EndpointID">
			<assert test="exists(@schemeID)" flag="fatal" id="PL-US-16">[PL-US-16]-The Sender electronic address (BT-34) shall have a Scheme identifier.</assert>
		</rule>
		<rule context="cac:SenderParty/cac:PostalAddress">
			<assert test="(cac:Country/cbc:IdentificationCode) != ''" flag="fatal" id="PL-US-17">[PL-US-17]-The Sender postal address (BG-5) shall contain a Sender country code (BT-40).</assert>
		</rule>
		<rule context="cac:ReceiverParty/cbc:EndpointID">
			<assert test="exists(@schemeID)" flag="fatal" id="PL-US-18">[PL-US-18]-The Receiver electronic address (BT-49) shall have a Scheme identifier.</assert>
		</rule>
		<rule context="cac:ReceiverParty/cac:PostalAddress">
			<assert test="(cac:Country/cbc:IdentificationCode) != ''" flag="fatal" id="PL-US-19">[PL-US-19]-The Receiver postal address shall contain a Receiver country code (BT-55).</assert>
		</rule>
		<rule context="//cac:PartyTaxScheme[cac:TaxScheme/cbc:ID='VAT']">
			<assert test="( contains( 'AD AE AF AG AI AL AM AN AO AQ AR AS AT AU AW AX AZ BA BB BD BE BF BG BH BI BL BJ BM BN BO BR BS BT BV BW BY BZ CA CC CD CF CG CH CI CK CL CM CN CO CR CU CV CX CY CZ DE DJ DK DM DO DZ EC EE EG EH EL ER ES ET FI FJ FK FM FO FR GA GB GD GE GF GG GH GI GL GM GN GP GQ GR GS GT GU GW GY HK HM HN HR HT HU ID IE IL IM IN IO IQ IR IS IT JE JM JO JP KE KG KH KI KM KN KP KR KW KY KZ LA LB LC LI LK LR LS LT LU LV LY MA MC MD ME MF MG MH MK ML MM MN MO MP MQ MR MS MT MU MV MW MX MY MZ NA NC NE NF NG NI NL NO NP NR NU NZ OM PA PE PF PG PH PK PL PM PN PR PS PT PW PY QA RO RS RU RW SA SB SC SD SE SG SH SI SJ SK SL SM SN SO SR ST SV SY SZ TC TD TF TG TH TJ TK TL TM TN TO TR TT TV TW TZ UA UG UM US UY UZ VA VC VE VG VI VN VU WF WS YE YT ZA ZM ZW 1A ',substring(cbc:CompanyID,1,2) ) )" flag="fatal" id="PL-US-20">[PL-US-20]-The Sender VAT identifier (BT-31), the Sender tax representative VAT identifier (BT-63) and the Receiver VAT identifier (BT-48) shall have a prefix in accordance with ISO code ISO 3166-1 alpha-2 by which the country of issue may be identified. Nevertheless, Greece may use the prefix ‘EL’.</assert>
		</rule>
	</pattern>
	<pattern id="Codesmodel">
		<rule flag="fatal" context="cac:Country/cbc:IdentificationCode">
			<assert id="PL-US-21" flag="fatal" test="((not(contains(normalize-space(.), ' ')) and contains(' AD AE AF AG AI AL AM AO AQ AR AS AT AU AW AX AZ BA BB BD BE BF BG BH BI BJ BL BM BN BO BQ BR BS BT BV BW BY BZ CA CC CD CF CG CH CI CK CL CM CN CO CR CU CV CW CX CY CZ DE DJ DK DM DO DZ EC EE EG EH ER ES ET FI FJ FK FM FO FR GA GB GD GE GF GG GH GI GL GM GN GP GQ GR GS GT GU GW GY HK HM HN HR HT HU ID IE IL IM IN IO IQ IR IS IT JE JM JO JP KE KG KH KI KM KN KP KR KW KY KZ LA LB LC LI LK LR LS LT LU LV LY MA MC MD ME MF MG MH MK ML MM MN MO MP MQ MR MS MT MU MV MW MX MY MZ NA NC NE NF NG NI NL NO NP NR NU NZ OM PA PE PF PG PH PK PL PM PN PR PS PT PW PY QA RE RO RS RU RW SA SB SC SD SE SG SH SI SJ SK SL SM SN SO SR SS ST SV SX SY SZ TC TD TF TG TH TJ TK TL TM TN TO TR TT TV TW TZ UA UG UM US UY UZ VA VC VE VG VI VN VU WF WS YE YT ZA ZM ZW ', concat(' ', normalize-space(.), ' '))))">[PL-US-21]-Country codes in an invoice MUST be coded using ISO code list 3166-1</assert>
		</rule>
		<rule flag="fatal" context="cbc:EmbeddedDocumentBinaryObject[@mimeCode]">
			<assert id="PL-US-22" flag="fatal" test="((@mimeCode = 'application/pdf' or @mimeCode = 'image/png' or @mimeCode = 'image/jpeg' or @mimeCode = 'text/csv' or @mimeCode = 'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet' or @mimeCode = 'application/vnd.oasis.opendocument.spreadsheet'))">[PL-US-22]-For Mime code in attribute use MIMEMediaType.</assert>
		</rule>
		<rule flag="fatal" context="cbc:EndpointID[@schemeID]">
			<assert id="PL-US-23" flag="fatal" test="((not(contains(normalize-space(@schemeID), ' ')) and contains('0002 0007 0009 0037 0060 0088 0096 0097 0106 0130 0135 0142 0151 0183 0184 0190 0191 0192 0193 0195 0196 0198 0199 0200 0201 0202 0204 9901 9906 9907 9910 9913 9914 9915 9918 9919 9920 9922 9923 9924 9925 9926 9927 9928 9929 9930 9931 9932 9933 9934 9935 9936 9937 9938 9939 9940 9941 9942 9943 9944 9945 9946 9947 9948 9949 9950 9951 9952 9953 9955 9956 9957 9958', concat(' ', normalize-space(@schemeID), ' '))))">[PL-US-23]-Endpoint identifier scheme identifier MUST belong to the CEF EAS code list</assert>
		</rule>
        <rule flag="fatal" context="cbc:UtilityStatementTypeCode">
			<assert id="PL-US-24" flag="fatal" test="(not(contains(normalize-space(@schemeID), ' ')) and contains(' 739  742 ', concat(' ', normalize-space(.), ' ')))">[PL-US-24]-UtilityStatementTypeCode must have value either '739' or '742'</assert>
		</rule>
		<rule context="us:UtilityStatement">
			<assert test="count(cac:AdditionalDocumentReference) = 1" flag="fatal" id="PL-US-25">[PL-US-25]-The cac:AdditionalDocumentReference should appear maximum once.</assert>
		</rule>
		 <rule flag="fatal" context="cbc:DocumentCurrencyCode">
      <assert id="PL-US-26" flag="fatal" test="((not(contains(normalize-space(.), ' ')) and contains(' AED AFN ALL AMD ANG AOA ARS AUD AWG AZN BAM BBD BDT BGN BHD BIF BMD BND BOB BOV BRL BSD BTN BWP BYN BZD CAD CDF CHE CHF CHW CLF CLP CNY COP COU CRC CUC CUP CVE CZK DJF DKK DOP DZD EGP ERN ETB EUR FJD FKP GBP GEL GHS GIP GMD GNF GTQ GYD HKD HNL HRK HTG HUF IDR ILS INR IQD IRR ISK JMD JOD JPY KES KGS KHR KMF KPW KRW KWD KYD KZT LAK LBP LKR LRD LSL LYD MAD MDL MGA MKD MMK MNT MOP MRO MUR MVR MWK MXN MXV MYR MZN NAD NGN NIO NOK NPR NZD OMR PAB PEN PGK PHP PKR PLN PYG QAR RON RSD RUB RWF SAR SBD SCR SDG SEK SGD SHP SLL SOS SRD SSP STD SVC SYP SZL THB TJS TMT TND TOP TRY TTD TWD TZS UAH UGX USD USN UYI UYU UZS VEF VND VUV WST XAF XAG XAU XBA XBB XBC XBD XCD XDR XOF XPD XPF XPT XSU XTS XUA XXX YER ZAR ZMW ZWL ', concat(' ', normalize-space(.), ' '))))">[PL-US-26]-Document currency code MUST be coded using ISO code list 4217 alpha-3</assert>
    </rule>
     <rule flag="fatal" context="cac:AdditionalDocumentReference/cbc:ID[@schemeID]">
      <assert id="PL-US-27" flag="fatal" test="((not(contains(normalize-space(@schemeID), ' ')) and contains(' AAA AAB AAC AAD AAE AAF AAG AAH AAI AAJ AAK AAL AAM AAN AAO AAP AAQ AAR AAS AAT AAU AAV AAW AAX AAY AAZ ABA ABB ABC ABD ABE ABF ABG ABH ABI ABJ ABK ABL ABM ABN ABO ABP ABQ ABR ABS ABT ABU ABV ABW ABX ABY ABZ AC ACA ACB ACC ACD ACE ACF ACG ACH ACI ACJ ACK ACL ACN ACO ACP ACQ ACR ACT ACU ACV ACW ACX ACY ACZ ADA ADB ADC ADD ADE ADF ADG ADI ADJ ADK ADL ADM ADN ADO ADP ADQ ADT ADU ADV ADW ADX ADY ADZ AE AEA AEB AEC AED AEE AEF AEG AEH AEI AEJ AEK AEL AEM AEN AEO AEP AEQ AER AES AET AEU AEV AEW AEX AEY AEZ AF AFA AFB AFC AFD AFE AFF AFG AFH AFI AFJ AFK AFL AFM AFN AFO AFP AFQ AFR AFS AFT AFU AFV AFW AFX AFY AFZ AGA AGB AGC AGD AGE AGF AGG AGH AGI AGJ AGK AGL AGM AGN AGO AGP AGQ AGR AGS AGT AGU AGV AGW AGX AGY AGZ AHA AHB AHC AHD AHE AHF AHG AHH AHI AHJ AHK AHL AHM AHN AHO AHP AHQ AHR AHS AHT AHU AHV AHX AHY AHZ AIA AIB AIC AID AIE AIF AIG AIH AII AIJ AIK AIL AIM AIN AIO AIP AIQ AIR AIS AIT AIU AIV AIW AIX AIY AIZ AJA AJB AJC AJD AJE AJF AJG AJH AJI AJJ AJK AJL AJM AJN AJO AJP AJQ AJR AJS AJT AJU AJV AJW AJX AJY AJZ AKA AKB AKC AKD AKE AKF AKG AKH AKI AKJ AKK AKL AKM AKN AKO AKP AKQ AKR AKS AKT AKU AKV AKW AKX AKY AKZ ALA ALB ALC ALD ALE ALF ALG ALH ALI ALJ ALK ALL ALM ALN ALO ALP ALQ ALR ALS ALT ALU ALV ALW ALX ALY ALZ AMA AMB AMC AMD AME AMF AMG AMH AMI AMJ AMK AML AMM AMN AMO AMP AMQ AMR AMS AMT AMU AMV AMW AMX AMY AMZ ANA ANB ANC AND ANE ANF ANG ANH ANI ANJ ANK ANL ANM ANN ANO ANP ANQ ANR ANS ANT ANU ANV ANW ANX ANY AOA AOD AOE AOF AOG AOH AOI AOJ AOK AOL AOM AON AOO AOP AOQ AOR AOS AOT AOU AOV AOW AOX AOY AOZ AP APA APB APC APD APE APF APG APH API APJ APK APL APM APN APO APP APQ APR APS APT APU APV APW APX APY APZ AQA AQB AQC AQD AQE AQF AQG AQH AQI AQJ AQK AQL AQM AQN AQO AQP AQQ AQR AQS AQT AQU AQV AQW AQX AQY AQZ ARA ARB ARC ARD ARE ARF ARG ARH ARI ARJ ARK ARL ARM ARN ARO ARP ARQ ARR ARS ART ARU ARV ARW ARX ARY ARZ ASA ASB ASC ASD ASE ASF ASG ASH ASI ASJ ASK ASL ASM ASN ASO ASP ASQ ASR ASS AST ASU ASV ASW ASX ASY ASZ ATA ATB ATC ATD ATE ATF ATG ATH ATI ATJ ATK ATL ATM ATN ATO ATP ATQ ATR ATS ATT ATU ATV ATW ATX ATY ATZ AU AUA AUB AUC AUD AUE AUF AUG AUH AUI AUJ AUK AUL AUM AUN AUO AUP AUQ AUR AUS AUT AUU AUV AUW AUX AUY AUZ AV AVA AVB AVC AVD AVE AVF AVG AVH AVI AVJ AVK AVL AVM AVN AVO AVP AVQ AVR AVS AVT AVU AVV AVW AVX AVY AVZ AWA AWB AWC AWD AWE AWF AWG AWH AWI AWJ AWK AWL AWM AWN AWO AWP AWQ AWR AWS AWT AWU AWV AWW AWX AWY AWZ AXA AXB AXC AXD AXE AXF AXG AXH AXI AXJ AXK AXL AXM AXN AXO AXP AXQ AXR AXS BA BC BD BE BH BM BN BO BR BT BTP BW CAS CAT CAU CAV CAW CAX CAY CAZ CBA CBB CD CEC CED CFE CFF CFO CG CH CK CKN CM CMR CN CNO COF CP CR CRN CS CST CT CU CV CW CZ DA DAN DB DI DL DM DQ DR EA EB ED EE EEP EI EN EQ ER ERN ET EX FC FF FI FLW FN FO FS FT FV FX GA GC GD GDN GN HS HWB IA IB ICA ICE ICO II IL INB INN INO IP IS IT IV JB JE LA LAN LAR LB LC LI LO LRC LS MA MB MF MG MH MR MRN MS MSS MWB NA NF OH OI ON OP OR PB PC PD PE PF PI PK PL POR PP PQ PR PS PW PY RA RC RCN RE REN RF RR RT SA SB SD SE SEA SF SH SI SM SN SP SQ SRN SS STA SW SZ TB TCR TE TF TI TIN TL TN TP UAR UC UCN UN UO URI VA VC VGR VM VN VON VOR VP VR VS VT VV WE WM WN WR WS WY XA XC XP ZZZ ', concat(' ', normalize-space(@schemeID), ' '))))">[PL-US-27]-Object identifier identification scheme identifier MUST be coded using a restriction of UNTDID 1153.</assert>
    </rule>
	</pattern>
</schema>
